# -*- coding: utf-8 -*-

from django.conf import settings
from django.urls import path
from drf_spectacular.views import SpectacularAPIView, SpectacularRedocView, SpectacularSwaggerView

urlpatterns = []

if settings.ENABLE_API_DOC:
    urlpatterns.append(path('schema/', SpectacularAPIView.as_view(), name='schema'))

    if settings.THX_OPENAPI_ENABLE_SWAGGER_UI_URL:
        urlpatterns += [
            path('schema/swagger-ui/', SpectacularSwaggerView.as_view(url_name='schema'), name='swagger-ui'),
        ]

    if settings.THX_OPENAPI_ENABLE_REDOC_URL:
        urlpatterns += [
            path('schema/redoc/', SpectacularRedocView.as_view(url_name='schema'), name='redoc'),
        ]
